@import "breakpoints";
@import "variables";

// .component-context-menu {
//   width: $mat-header-component-menu-width;
// }

.mat-form-field {
  display: block;
  width: 100%;

  .mat-form-field-wrapper {
    padding-bottom: 16px;
  }
}

// .mat-menu-item {
//   color: $header-fg;

//   mat-icon {
//     svg {
//       color: $header-fg;
//     }
//   }

//   &[disabled] {
//     color: $header-inactive;
//   }
// }

// .menu-icon {
//   svg {
//     margin: -1px 0 0 -1px;
//     width: 30px;
//     height: 30px;
//   }
// }

.mat-icon-btn {
  color: var(--fg-disabled);
  cursor: pointer;

  &:hover {
    color: var(--fg-hover);
  }
}

.user-context-menu {
  position: relative;
  max-width: 200px !important;
  background-color: var(--ion-foreground-color) !important;
  border-radius: 0 !important;

  .user-menu-btn {
    display: inline-flex;
    align-items: center;
    font: roboto;
    color: var(--fg-main);

    .user-menu-icon {
      font-size: 20px;
      width: 20px;
      padding: 0 10px 0 0;
    }

    .badge-wrapper {
      position: absolute;
      left: 0;
      top: 0;
      width: 50px;
      height: 50px;

      .counter-badge {
        position: absolute;
        display: inline-flex;
        bottom: 6px;
        right: 5px;
        border-radius: 50%;
        background-color: var(--ion-color-danger-shade);
        padding: 1px 1.5px 0;
        line-height: 1.1em;
        min-width: 15px;

        align-items: center;
        justify-content: center;
      }
    }

    .user-menu-label {
      padding: 2px 0 0 0;
      font-size: 16px;
    }

    &:hover {
      border-left: 2px solid var(--fg-highlight);
      background-color: var(--ion-hover-background-color);
      padding: 0 16px 0 14px;

      .badge-wrapper {
        margin-left: -2px;
      }
    }

    &.activated {
      background-color: var(--ion-hover-background-color);

      .menu-icon {
        color: var(--fg-hover);
      }
    }
  }

  .menu-divider {
    background-color: var(--fg-separator) !important;
    min-height: 1px;
  }
}

.sub-context-menu {
  min-width: 52px !important;
  background-color: var(--ion-foreground-color) !important;
  border-radius: 0 !important;

  .sub-menu-btn {
    font: roboto;
    color: var(--fg-main);

    &.active {
      font-weight: 600;
      color: var(--fg-highlight);
    }

    .sub-menu-icon {
      display: inline-flex;
      align-items: center;
      padding-right: 5px;
    }

    .sub-menu-label {
      padding: 2px 0 0 0;
      font-size: 16px;
    }

    &:hover {
      border-left: 2px solid var(--fg-highlight);
      background-color: var(--fg-hover);
      padding: 0 16px 0 14px;
    }
  }
}

// .mat-dialog-container {
//   background-color: #f00;
// }

// .mat-autocomplete-panel {
//   background:  var(--ion-foreground-color);

//   .mat-option {
//     &:hover {
//       background: var(--ion-hover-background-color);
//       color: var(--fg-highlight);
//     }

//     &.mat-selected {
//       &:not(.mat-active):not(:hover) {
//         background: var(--ion-active-background-color);
//       }

//       &:hover {
//         background: var(--ion-active-background-color);
//         color: var(--fg-highlight);
//       }
//     }
//   }
// }

// .mat-datepicker-content {
//   background-color: $header-fg;

//   .mat-calendar-body-cell {
//     &:hover .mat-calendar-body-cell-content:not(.mat-calendar-body-selected) {
//       background-color: $content-bg !important;
//     }
//   }
// }

.mat-paginator {
  background-color: transparent;
}

// .mat-select-panel {
//   background: #fff;
// }

// .mat-autocomplete {
//   background: #fff;
// }

// .mat-datepicker-content {
//   background: #fff;
// }

.mat-tooltip {
  font-size: 14px !important;
  background-color: var(--bg-tooltip) !important;
  color: var(--fg-main) !important;
}

// .mat-checkbox-label {
//   white-space: initial;
// }

@media (max-width: map-get($grid-breakpoints, "sm")) {
  // .component-context-menu {
  //   position: relative;
  // }

  .user-context-menu {
    position: relative;
  }
}

.mat-mdc-header-cell {
  background-color: transparent !important;
}
